#!/bin/bash

setupsenseshield()
{
  senseshellpath="/opt/apps/com.gstarcad.cad/files/"
  # 1 先卸载
  if [ -d ${senseshellpath} ]; then
    bash ${senseshellpath}/senseshield.sh uninstall
  fi
  
  # 2 删除旧文件
  sensedir="/usr/lib/senseshield"
  if [ -d ${sensedir} ]; then
    rm -rf ${sensedir}
  fi

  # 3 重新安装
  if [ -d ${senseshellpath} ]; then
    bash ${senseshellpath}/senseshield.sh install
  fi

  # 4 设置客户服务器模式，重启服务
  sscfg -e cs
  systemctl restart senseshield
  
  # 5 开启10334端口
  iptables -I INPUT -p tcp --dport 10334 -j ACCEPT
}

echo "***********************************************"
echo "安装加密锁服务..."
setupsenseshield
echo "安装加密锁服务完毕!"
echo "***********************************************"
